---
name: "\U0001F41B Bug"
about: Report a bug in Mithril.js
title: ''
labels: 'Type: Bug'
assignees: dead-claudia

---

<!-- Provide a general summary of your issue in the "Title" above -->
<!--
Provide the exact version of Mithril.js you're experiencing these issues with. This
matters, even if it's really old like version 0.1.0. Do note that bugs in older
versions are commonly fixed in newer versions, so you should try to test it
against the latest version if you can.
-->
**Mithril.js version:**

<!--
Provide the name and version of both the browser and operating system you're
experiencing these issues with. If it's multiple, feel free to list multiple.
This matters, even if it's super ancient like IE 6 on Windows XP.
-->
**Browser and OS:**

<!--
Optional: Provide a link to your project, if it happens to be open source or if
you created a repo somewhere that we can look into further. If it's multiple
projects, feel free to list them all.
-->
**Project:**

## Code
<!--
What did you try? What code is causing the unexpected behavior? Make sure to
try to reduce your code as best as you can while still reproducing the bug, so
we can more accurately determine the cause. Ideally, it should just be a bunch
of Mithril.js calls with virtually no logic at all, but it's sufficient to just
remove unrelated network calls, attributes, and the like.

In addition, make sure the bug still persists with the latest version of
Mithril. If it's an older version, the bug may have already been fixed.

If you'd prefer, replace this code block with a link to a code playground like
any of these:

- Flems <https://flems.io/mithril> (stores everything in URL hash)
- JSFiddle <https://jsfiddle.net>
- CodePen <https://codepen.io>
- JSBin <https://jsbin.com>
- Plunker <https://plnkr.co>
- Glitch <https://glitch.com> (supports backend)
- CodeSandbox <https://codesandbox.io> (supports backend)

Or if it's a remote development project on your own server, feel free to provide
that if it's serving unminified code we can look at.

If it's a closed-source repo, it's okay to censor names and pull out irrelevant
logic - we'd rather not sign NDAs just to see the code you're having trouble
with. We do still need code of some kind that triggers the bug you're running
into.
-->
```javascript
// Code
```

## Steps to Reproduce
<!--
What steps need to be taken to reproduce this behavior? Please include things
like specific data that need typed in, specific buttons that need clicked, and
so on.
-->
1.
2.
3.
4.

## Expected Behavior
<!--
What did you expect to happen?

- An alert to pop up?
- A specific thing to be logged?

Please be very specific here.
-->

## Current Behavior
<!--
What actually happened?

- The alert never showed?
- The wrong thing was logged?

Please be very specific here.
-->

## Context
<!--
Optional: How is this issue affecting you? What are you trying to do? Providing
us context helps us reach a solution that best fits your particular needs.
-->
